/**
 * Copyright (c) 2001/2003 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 *
 * @author radzisz
 * file name: NoteBoard.java
 *
 */
package edu.agh.dsrg.rozproszone;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface NoteBoard extends Remote {

	public void appendText(String text, String nick)
		throws RemoteException, UserRejectedException;
	public void register(NoteBoardListener listener, User user)
		throws RemoteException, UserRejectedException;
	public void unRegister(NoteBoardListener listener, User user)
		throws RemoteException, UserRejectedException;
		
}